查看: 2659|回复: 0

无法安装,数据库文件版本号(v1.3.8)与CMS源码版本号(v1.3.5)不一致,点击查看!

[复制链接]

616

主题

616

帖子

4257

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
4257
发表于 2019-10-12 17:30:50 | 显示全部楼层 |阅读模式

无法安装,数据库文件版本号(v1.3.8)与CMS源码版本号(v1.3.5)不一致,点击查看!

无法安装,数据库文件版本号(v1.3.8)与CMS源码版本号(v1.3.5)不一致,点击查看!

出现这样的情况是因为程序在安装的时候是低版本,安装过通过后台升级到了最新版本。然后再进行数据库和程序的备份,就会导致程序和数据库版本不一致的情况。接下来我们给大家说下怎么来解决这个问题。
1.找到根目录下/data/sqldata/20191012-153936-1-v1.3.9.sql的最新备份数据库文件,有显示备份的年月日。(下图所示:)

无法安装,数据库文件版本号(v1.3.8)与CMS源码版本号(v1.3.5)不一致,点击查看!

无法安装,数据库文件版本号(v1.3.8)与CMS源码版本号(v1.3.5)不一致,点击查看!

2.把这个20191012-153936-1-v1.3.9.sql最新的数据库文件移动或复制到根目录/install文件夹内。(下图所示:)

无法安装,数据库文件版本号(v1.3.8)与CMS源码版本号(v1.3.5)不一致,点击查看!

无法安装,数据库文件版本号(v1.3.8)与CMS源码版本号(v1.3.5)不一致,点击查看!

3.把eyoucms.sql文件删除或者重命名eyoucms.sql.bak,再把20191012-153936-1-v1.3.9.sql重命名为eyoucms.sql(下图所示:)

无法安装,数据库文件版本号(v1.3.8)与CMS源码版本号(v1.3.5)不一致,点击查看!

无法安装,数据库文件版本号(v1.3.8)与CMS源码版本号(v1.3.5)不一致,点击查看!

这样我们就把原来的低版本.sql文件替换成了我们最新备份的文件了。接下来我们再重新安装一次就OK了。
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表